Entur Developer
Personalisation Client Integration

Find information about memberships and status a customer might have in programs.


Query program memberships of a customer

POST
https://api.entur.io/personalisation
/v1/customer-memberships

Query the memberships of a customer using customer ID. Returns list of program memberships, with the member ID and any member data that is stored in each program.

Query program memberships of a customer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Query program memberships of a customer › Request Body

Program memberships for a customer
customerId
​string · required

Customer id of the member

Example: 29582738
programReferences
​array | null

List of reference to the programs to query.

Example: ["flexiticket","reis"]

Query program memberships of a customer › Responses

OK

Information about a customers membership in a program
programId
​integer · int64 · required
memberId
​integer · int64 · required

The ID for the customer's membership in the program

programReference
​string | null

Unique reference for the program.

Example: reis
​object | null

Metadata about the member


Current status of a customer

POST
https://api.entur.io/personalisation
/v1/current-level-summaries

Current Level Summary contains information about the current status of a customer in a program, with information about how many points the customer has, what level on the reward ladder they're at, the rewards they have achieved and any suspensions they might have.

By default, the endpoint will return the customers status at the time the request was made. However, you can specify the request parameter statusAt to set which time to query the status for.

Returns a list of summaries, one for each program the customer is a member of. You can choose to filter on programs, using the program reference. Will return empty list if customer is not a member of any programs.

Current status of a customer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Current status of a customer › Request Body

Status query for a member
customerId
​string · required

Customer id of the member

Example: 29582738
programId
​integer | null · int64

Id of the program to query. If null, will return summary of all programs the customer is enrolled in.

Example: 1
programReference
​string | null

Reference to the program to query. Better to use than programId, since programId might vary in different environments.

Example: flexiticket
programReferences
​array | null

List of reference to the programs to query. If given then it overrides the programReference parameter.

Example: ["flexiticket","reis"]
statusAt
​string | null · date-time

Get current level summary at a given date and time. Defaults to now if not set.

Example: 2023-10-01T12:00:00.567Z

Current status of a customer › Responses

OK

Summary of the current level of a member
programId
​integer · int64 · required

Id of the program. WARNING: Don't use this for matching with a specific program, since it may vary across environments. Use "programReference" instead.

Example: 1
memberId
​integer · int64 · required

Id of the member within the program. Can be used to look up more information about the member.

Example: 1
​CurrentReward[] · required

The current rewards the member has achieved in the program

​SuspensionStatus[] · required
​PointDefinitionStatus[] · required

The current status of each point definition in the program

programReference
​string | null

Reference to the program. This is a unique reference that is the same in all environments, and can be used to identify the program. Nullable for backwards compatibility reasons. Should be filled out in most cases.

Example: flexiticket
​

Did you find what you were looking for?